name: amazon-ssm-agent
version: 3.3.987.0
summary: Agent to enable remote management of your Amazon EC2 instance configuration
description: |
  The SSM Agent runs on EC2 instances and enables you to quickly and easily
  execute remote commands or scripts against one or more instances. The agent
  uses SSM documents. When you execute a command, the agent on the instance
  processes the document and configures the instance as specified. Currently,
  the SSM Agent and Run Command enable you to quickly run Shell scripts on an
  instance using the AWS-RunShellScript SSM document.
architectures:
- amd64
base: core22
apps:
  amazon-ssm-agent:
    command: amazon-ssm-agent
    stop-timeout: 60s
    daemon: simple
    restart-condition: always
    stop-mode: sigterm
  ssm-cli:
    command: ssm-cli
confinement: classic
grade: stable
